#
# spec file for package python-sfepy
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-sfepy
Version:        2013.2
Release:        2.58
Summary:        Simple finite elements in Python
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://code.google.com/p/sfepy/
Source0:        sfepy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%else
%py_requires
%endif
BuildRequires:  fdupes
BuildRequires:  hdf5-devel
BuildRequires:  latex2html
BuildRequires:  python-Cython
BuildRequires:  python-Pygments
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
BuildRequires:  python-matplotlib
BuildRequires:  python-numpy-devel
BuildRequires:  python-numpydoc
BuildRequires:  python-pyparsing
BuildRequires:  python-scipy
BuildRequires:  python-setuptools
BuildRequires:  python-sympy
BuildRequires:  python-tables
BuildRequires:  swig
Requires:       python-pyparsing
Requires:       python-scipy
Recommends:     gmsh
Recommends:     python-matplotlib 
Recommends:     python-Mayavi2
Recommends:     python-pysparse
Recommends:     python-pexpect
Recommends:     tetgen

%description
Sfepy is a finite element analysis software based primarily on NumPy and SciPy.

%package doc
Summary:        This package contains the HTML documentation for %{name}
Group:          Documentation/HTML
%if  0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description doc
Sfepy is a finite element analysis software based primarily on NumPy and SciPy.

This package contains the HTML documentation for %{name}.

%prep
%setup -q -n sfepy-%{version}

%build
CFLAGS="%{optflags}" python setup.py build
make OPTFLAGS="$RPM_OPT_FLAGS -fPIC"

%install
python setup.py install --prefix=%{_prefix} --root %{buildroot}

make -C doc html

# remove unwanted files
rm -rf %{buildroot}%{_datadir}/sfepy/doc
rm -rf %{buildroot}%{_datadir}/sfepy/examples
rm -f doc/_build/html/.buildinfo

# find duplicates
%fdupes -s examples/
%fdupes -s doc/_build/html
%fdupes -s %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README examples
%{_bindir}/*
%{python_sitearch}/*

%files doc
%defattr(-,root,root,-)
%doc doc/_build/html

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Jun 26 2013 scorot@free.fr
- update to version 2013.2
  * Many many enhancements and bugfixes since 2012.3
  * No Changelog privided, see the detailed history at
    http://sfepy.org/doc-devel/release_notes.html
- Put documentation in a separate doc subpackage
* Sat Sep 15 2012 scorot@free.fr
- update to version 2012.3
  * see changes at http://sfepy.org/doc-devel/release_notes.html#id1
- add hdf5-devel in build requirements to fix dependency resolving
* Sat Jul  7 2012 scorot@free.fr
- spec file cleanup and reformating
